"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaPackageV2 = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const CreateChannelCommand_1 = require("./commands/CreateChannelCommand");
const CreateChannelGroupCommand_1 = require("./commands/CreateChannelGroupCommand");
const CreateOriginEndpointCommand_1 = require("./commands/CreateOriginEndpointCommand");
const DeleteChannelCommand_1 = require("./commands/DeleteChannelCommand");
const DeleteChannelGroupCommand_1 = require("./commands/DeleteChannelGroupCommand");
const DeleteChannelPolicyCommand_1 = require("./commands/DeleteChannelPolicyCommand");
const DeleteOriginEndpointCommand_1 = require("./commands/DeleteOriginEndpointCommand");
const DeleteOriginEndpointPolicyCommand_1 = require("./commands/DeleteOriginEndpointPolicyCommand");
const GetChannelCommand_1 = require("./commands/GetChannelCommand");
const GetChannelGroupCommand_1 = require("./commands/GetChannelGroupCommand");
const GetChannelPolicyCommand_1 = require("./commands/GetChannelPolicyCommand");
const GetOriginEndpointCommand_1 = require("./commands/GetOriginEndpointCommand");
const GetOriginEndpointPolicyCommand_1 = require("./commands/GetOriginEndpointPolicyCommand");
const ListChannelGroupsCommand_1 = require("./commands/ListChannelGroupsCommand");
const ListChannelsCommand_1 = require("./commands/ListChannelsCommand");
const ListOriginEndpointsCommand_1 = require("./commands/ListOriginEndpointsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const PutChannelPolicyCommand_1 = require("./commands/PutChannelPolicyCommand");
const PutOriginEndpointPolicyCommand_1 = require("./commands/PutOriginEndpointPolicyCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateChannelCommand_1 = require("./commands/UpdateChannelCommand");
const UpdateChannelGroupCommand_1 = require("./commands/UpdateChannelGroupCommand");
const UpdateOriginEndpointCommand_1 = require("./commands/UpdateOriginEndpointCommand");
const MediaPackageV2Client_1 = require("./MediaPackageV2Client");
const commands = {
    CreateChannelCommand: CreateChannelCommand_1.CreateChannelCommand,
    CreateChannelGroupCommand: CreateChannelGroupCommand_1.CreateChannelGroupCommand,
    CreateOriginEndpointCommand: CreateOriginEndpointCommand_1.CreateOriginEndpointCommand,
    DeleteChannelCommand: DeleteChannelCommand_1.DeleteChannelCommand,
    DeleteChannelGroupCommand: DeleteChannelGroupCommand_1.DeleteChannelGroupCommand,
    DeleteChannelPolicyCommand: DeleteChannelPolicyCommand_1.DeleteChannelPolicyCommand,
    DeleteOriginEndpointCommand: DeleteOriginEndpointCommand_1.DeleteOriginEndpointCommand,
    DeleteOriginEndpointPolicyCommand: DeleteOriginEndpointPolicyCommand_1.DeleteOriginEndpointPolicyCommand,
    GetChannelCommand: GetChannelCommand_1.GetChannelCommand,
    GetChannelGroupCommand: GetChannelGroupCommand_1.GetChannelGroupCommand,
    GetChannelPolicyCommand: GetChannelPolicyCommand_1.GetChannelPolicyCommand,
    GetOriginEndpointCommand: GetOriginEndpointCommand_1.GetOriginEndpointCommand,
    GetOriginEndpointPolicyCommand: GetOriginEndpointPolicyCommand_1.GetOriginEndpointPolicyCommand,
    ListChannelGroupsCommand: ListChannelGroupsCommand_1.ListChannelGroupsCommand,
    ListChannelsCommand: ListChannelsCommand_1.ListChannelsCommand,
    ListOriginEndpointsCommand: ListOriginEndpointsCommand_1.ListOriginEndpointsCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    PutChannelPolicyCommand: PutChannelPolicyCommand_1.PutChannelPolicyCommand,
    PutOriginEndpointPolicyCommand: PutOriginEndpointPolicyCommand_1.PutOriginEndpointPolicyCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateChannelCommand: UpdateChannelCommand_1.UpdateChannelCommand,
    UpdateChannelGroupCommand: UpdateChannelGroupCommand_1.UpdateChannelGroupCommand,
    UpdateOriginEndpointCommand: UpdateOriginEndpointCommand_1.UpdateOriginEndpointCommand,
};
class MediaPackageV2 extends MediaPackageV2Client_1.MediaPackageV2Client {
}
exports.MediaPackageV2 = MediaPackageV2;
(0, smithy_client_1.createAggregatedClient)(commands, MediaPackageV2);
